<?php
/**
 * Make Framework Translatable
**/

/* Load Text Domain */
load_theme_textdomain( 'nevertheless', get_template_directory() . '/assets/languages' );

/* Make all string in the framework translatable. */
$texts = array(

	/* functions/template/accessibility.php */
	'skip_to_content'             => _x( 'Наверх', 'accessibility', 'nevertheless' ),

	/* functions/template/general.php */
	'next_posts'                  => _x( 'Назад', 'pagination', 'nevertheless' ),
	'previous_posts'              => _x( 'Вперед', 'pagination', 'nevertheless' ),

	/* functions/template/menu.php */
	'menu_search_placeholder'     => _x( 'Искать&hellip;', 'nav menu', 'nevertheless' ),
	'menu_search_button'          => _x( 'Поиск', 'nav menu', 'nevertheless' ),
	'menu_search_form_toggle'     => _x( 'Развернуть форму поиска', 'nav menu', 'nevertheless' ),
	'menu_default_home'           => _x( 'Главная', 'nav menu', 'nevertheless' ),

	/* functions/template/entry.php */
	'error_title'                 => _x( '404 Страница не найдена', 'entry', 'nevertheless' ),
	'error_message'               => _x( 'Извиняюсь, но никаких записей не было найдено.', 'entry', 'nevertheless' ),
	'next_post'                   => _x( 'Вперед', 'entry', 'nevertheless' ),
	'previous_post'               => _x( 'Назад', 'entry', 'nevertheless' ),

	/* functions/template/comment.php */
	'next_comment'                => _x( 'Вперед', 'comment', 'nevertheless' ),
	'previous_comment'            => _x( 'Назад', 'comment', 'nevertheless' ),
	'comments_closed_pings_open'  => _x( 'Comments are closed, but trackbacks and pingbacks are open.', 'comment', 'nevertheless' ),
	'comments_closed'             => _x( 'Обсуждение закрыто.', 'comment', 'nevertheless' ),

	/* functions/setup.php */
	'untitled'                    => _x( '(Без названия)', 'entry', 'nevertheless' ),
	'read_more'                   => _x( 'Подробнее', 'entry', 'nevertheless' ),
	'search_title_prefix'         => _x( 'Поиск:', 'archive title', 'nevertheless' ),
	'comment_moderation_message'  => _x( 'Ваш комментарий ожидает модерации.', 'comment', 'nevertheless' ),

);

/* Add text to tamatebako */
tamatebako_load_strings( $texts );